|
From: <kr...@us...> - 2007-04-18 15:07:36
|
Revision: 844
http://svn.sourceforge.net/astlinux/?rev=844&view=rev
Author: krisk84
Date: 2007-04-18 08:07:37 -0700 (Wed, 18 Apr 2007)
Log Message:
-----------
dependencies check update for nasm, zlib.h, etc
Modified Paths:
--------------
trunk/toolchain/dependencies/dependencies.sh
Modified: trunk/toolchain/dependencies/dependencies.sh
===================================================================
--- trunk/toolchain/dependencies/dependencies.sh 2007-04-18 15:06:58 UTC (rev 843)
+++ trunk/toolchain/dependencies/dependencies.sh 2007-04-18 15:07:37 UTC (rev 844)
@@ -294,16 +294,32 @@
if ! which autoconf > /dev/null ; then
echo "autoconf installed: FALSE"
- /bin/echo -e "\n\nYou must install 'bzcat' on your build machine\n";
+ /bin/echo -e "\n\nYou must install 'autoconf' on your build machine\n";
exit 1;
fi;
echo "autoconf installed: Ok"
+if ! which nasm > /dev/null ; then
+ echo "nasm installed: FALSE"
+ /bin/echo -e "\n\nYou must install 'nasm' on your build machine\n";
+ exit 1;
+fi;
+echo "nasm installed: Ok"
+
+if [ ! -r /usr/include/zlib.h ] ; then
+ echo "zlib.h installed: FALSE"
+ /bin/echo -e "\n\nYou must install zlib.h on your build machine\n";
+ echo "This can usually be found in the zlib-dev package";
+ exit 1;
+fi;
+echo "zlib.h readable: Ok"
+
+
#############################################################
#
# All done
-#
+#
#############################################################
echo "Build system dependencies: Ok"
echo ""
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|